### Class

# WebKit2 UserMediaPermissionRequest

since: 2.8

#### Description [src]

    class WebKit2.UserMediaPermissionRequest : GObject.Object {
      parent: GObject,
      priv: WebKitUserMediaPermissionRequestPrivate*
    }

A permission request for accessing user’s audio/video devices.

WebKitUserMediaPermissionRequest represents a request for permission to decide whether WebKit should be allowed to access the user’s audio and video source devices when requested through the getUserMedia API.

When a WebKitUserMediaPermissionRequest is not handled by the user, it is denied by default.

Available since: 2.8

#### Ancestors

- GObject

#### Implements

- WebKitPermissionRequest

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from WebKitPermissionRequest (2)

###### webkit_permission_request_allow

Allow the action which triggered this request.

###### webkit_permission_request_deny

Deny the action which triggered this request.

#### Properties

###### WebKit2.UserMediaPermissionRequest:is-for-audio-device

Whether the media device to which the permission was requested has a microphone or not.

since: 2.8

###### WebKit2.UserMediaPermissionRequest:is-for-video-device

Whether the media device to which the permission was requested has a video capture capability or not.

since: 2.8

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2UserMediaPermissionRequestClass {
      GObjectClass parent_class;
      void (* _webkit_reserved0) (
    void
      );
      void (* _webkit_reserved1) (
    void
      );
      void (* _webkit_reserved2) (
    void
      );
      void (* _webkit_reserved3) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.
`_webkit_reserved0: void (* _webkit_reserved0) ( void )`
  No description available.
`_webkit_reserved1: void (* _webkit_reserved1) ( void )`
  No description available.
`_webkit_reserved2: void (* _webkit_reserved2) ( void )`
  No description available.
`_webkit_reserved3: void (* _webkit_reserved3) ( void )`
  No description available.